#############################
#
#          SoloCartes
#
# Copyright 2008 Newmagic
#
#    This file is part of SoloCartes.
#
#    You can redistribute and/or modify
#    this software under the terms of the
#    Creative Commons  Attribution-NonCommercial-ShareAlike 3.0 Legal Code
#
#    See COPYING file(s) join to the distribution and/or
#    http://creativecommons.org/licenses/by-nc-sa/3.0/legalcode
#
#############################

global PARAM

global initJeux
set initJeux true

catch {global SoloCartes}
if {! [info exists SoloCartes]} {
  source "main.tcl"
}

#chargerOptionsJeu
global txt

array set imagesFaces [list]

global paquet


global titreStats
set titreStats ""

global titreScores
set titreScores ""


proc colSousXY {x y} {
  
}

global indCarteDragguee
set indCarteDragguee -1
global indCarteDraggueeTmp
set indCarteDraggueeTmp -1
global x_initDrag
set x_initDrag 0
global y_initDrag
set y_initDrag 0
global diffX
set diffX 0
global diffY
set diffY 0

global lstCartesSousDraguee
set lstCartesSousDraguee [list]

proc deplacerCarteDraguee {x y} {
}


proc bindingsCarte {indCarte} {
}

proc montrerCarte {indCarte {faceEnHaut true}} {
  global paquet
  global imageCarte

  if {$faceEnHaut} {
#    if {! [info exists "imageCarte($paquet($indCarte))"]} {
        set imageCarte($paquet($indCarte)) [getImageCarte [nomFicImgCarte $paquet($indCarte)]]
#    }
    changerImage $indCarte $imageCarte($paquet($indCarte))
  } else {
    changerImage $indCarte $paquet(imgDos)
  }
}

# on mlange les cartes en les plaant  l'endroit rserv au paquet :
global PAQUET_POURC_X
set PAQUET_POURC_X 0
global PAQUET_POURC_Y
set PAQUET_POURC_Y 0

proc placerPaquet {xPourc yPourc} {
  global nbCartes
  global PAQUET_POURC_X
  global PAQUET_POURC_Y
  global indDerniereCarteDistribuee
  global nbPassagesPaquet
  
  set nbPassagesPaquet 0
  set PAQUET_POURC_X $xPourc
  set PAQUET_POURC_Y $yPourc
  tracerRectangleCarte "paquet" [coordX $PAQUET_POURC_X] [coordY $PAQUET_POURC_Y]
 .frmJeu.cnv bind paquet <ButtonPress-1> "rempilerPaquet"
  for {set i $nbCartes} {$i >= 1} {incr i -1} {
    placerCarte $i $xPourc $yPourc true
  }
  set indDerniereCarteDistribuee 0
}

proc rempilerPaquet {} {
}

# On distribue la carte indCarte sur la colonne indColonne
proc distribuerCarteSurColonne {indCarte indColonne {scoreGagne 0} {avecAnimation false}} {
  global colonnes
  global paquet
  global PAQUET_POURC_Y
  global hautImages

  deplacerCarteSurColonne $indCarte $indColonne [llength $colonnes($indColonne,listeCartes)] $avecAnimation
#  set yPourc [expr {$PAQUET_POURC_Y * 2 + $hautImages + 3 * [llength $colonnes($indColonne,listeCartes)]}]
#  deplacerCarte $indCarte [coordX $colonnes($indColonne,posX)] [coordY $yPourc] $avecAnimation
#msgBox "$colonnes($indColonne,posX) $colonnes($indColonne,listeCartes)"
  lappend colonnes($indColonne,listeCartes) $indCarte
  set paquet($indCarte,distribuee) true
  gagner $scoreGagne
}

proc deplacerCarteSurColonne {indCarte indColonne rang {avecAnimation false}} {
}

proc termine {} {
}

proc majAfficheJeu {} {
}

proc commencerPartie {} {
}
