#############################
#
#          SoloCartes
#
# Copyright 2008 Newmagic
#
#    This file is part of SoloCartes.
#
#    You can redistribute and/or modify
#    this software under the terms of the
#    Creative Commons  Attribution-NonCommercial-ShareAlike 3.0 Legal Code
#
#    See COPYING file(s) join to the distribution and/or
#    http://creativecommons.org/licenses/by-nc-sa/3.0/legalcode
#
#############################

global PARAM

utiliseLibrairie "interface"

utiliseLibrairie "outils"

#global facteurZoom
#set facteurZoom 1



global txt

set txt(TXT_PAS_SCORES) "Aucun score pour le moment..."
set txt(TXT_FERMER_SCORES) "Fermer"
set txt(TXT_VIDER_SCORES) "Effacer les scores"
set txt(TXT_DDE_VIDER_SCORES) "tes-vous sr de vouloir vider les scores ?"
set txt(TITRE_DEFAUT_SCORES) "Meilleurs scores"
set txt(TITRE_VIDER_SCORES) "Effacer"

set txt(TXT_PAS_STATS) "Aucune statistique pour le moment..."
set txt(TXT_FERMER_STATS) "Fermer"
set txt(TXT_VIDER_STATS) "Effacer les stats"
set txt(TXT_DDE_VIDER_STATS) "tes-vous sr de vouloir vider les statistiques ?"
set txt(TITRE_DEFAUT_STATS) "Statistiques"
set txt(TITRE_VIDER_STATS) "Effacer"

set txt(TXT_NOM_DEFAUT) "NouvJoueur"
set txt(TXT_DDE_NOM) "Quel est votre nom ?"
set txt(TXT_DDE_SAUV) "Voulez-vous sauvegarder la partie actuelle ?"
set txt(TXT_DDE_REJOUE) "Rejouer ?"
set txt(TXT_CUMUL) "Cumulatif"
set txt(TXT_DEGRA_TXT) "Texte "
set txt(TXT_SCORE) "Score "
set txt(TXT_CARTE) "carte"
set txt(TXT_CARTES) "cartes"
set txt(TXT_CARTES_VISIBLES) "Faces en haut"
set txt(TXT_PIQUES) "Piques"
set txt(TXT_COEURS) "Coeurs"
set txt(TXT_TREFLES) "Trefles"
set txt(TXT_CARREAUX) "Carreaux"
set txt(TXT_SAVES) "Parties sauvegardes"

set txt(MSG_AUCUN_JEU) "Veuillez d'abord choisir un jeu : \"Jeu -> Changer de jeu -> ...\""
set txt(MSG_MEILL_SCORE) "Bravo ! Vous tes le meilleur joueur !"
set txt(MSG_ENTRE_SCORE) "Vous entrez dans les meilleurs scores ! Flicitations !"
set txt(MSG_SAUVE) "Partie sauve !"
set txt(MSG_PAS_PARTIE) "Aucune partie en cours..."
set txt(MSG_PAS_PIXANE) "Impossible de gnrer le dgrad pour le dos des cartes : vous devez IMPERATIVEMENT installer la version STANDARD de eTcl (la version COMPACTE est insuffisante)..."
set txt(MSG_DEBLOQUE_TAPIS) "En dbloquant le tapis, vous pouvez le faire \"glisser\" pour accder aux longues colonnes de cartes."
set txt(MSG_PAS_AIDE) "Aucune aide n'est disponible pour ce jeu..."
set txt(MSG_IMP_ANNULER) "Impossible d'annuler..."
set txt(MSG_ATTENTE) "Chargement en cours...\nVeuillez patienter..."

set txt(TITRE_DDE_NOM) "Nouveau joueur"
set txt(TITRE_NVELLE_PARTIE) "Nouvelle partie"
set txt(TITRE_MEILL_SCORE) "Meilleur joueur"
set txt(TITRE_ENTRE_SCORE) "Meilleurs scores"
set txt(TITRE_QUIT) "Quitter"
set txt(TITRE_SAUVE) "Sauver la partie"
set txt(TITRE_CHARGE) "Charger"
set txt(TITRE_AIDE) "Aide"
set txt(TITRE_ERR) "Erreur"
set txt(TITRE_DEGRA_TXT) "Texte du dgrad"
set txt(TITRE_DEBLOQUE_TAPIS) "Bloquer le tapis"
set txt(TITRE_ANNULER) "Annuler"

set txt(STAT_NB_PARTIES) "Nb parties"
set txt(STAT_NB_GAGNE) "Nb parties gagnes"

set txt(MemoryOrdre,NOM) "Memory Ordre"
set txt(MemoryOrdre,AIDE) "Le but de ce jeu est de retourner les cartes dans l'ordre croissant en un minimum de coups."
set txt(MemoryOrdre,MSG_DEBUT) "Vous disposez de 4 secondes pour mmoriser l'ordre des cartes.
Appuyez sur \"Ok\" lorsque vous tes prt(e).
Bonne chance !"

set txt(Memory,NOM) "Memory"
set txt(Memory,AIDE) "Le but de ce jeu est de retrouver les paires de cartes (mme valeur, mme couleur)."
set txt(Memory,MSG_DEBUT) "Vous disposez de 4 secondes pour mmoriser un maximum de cartes.
Appuyez sur \"Ok\" lorsque vous tes prt(e).
Bonne chance !"

set txt(Pyramide,NOM) "Pyramide"
set txt(Pyramide,AIDE) "Tentez de librer la pyramide en supprimant des cartes dont la somme vaut 13 (ex : As+Dame, 6+7, Roi seul,...).
Pensez  cumuler le plus de points possible en liminant aussi les autres cartes du paquet !"

set txt(Solitaire,NOM) "Solitaire"
set txt(Solitaire,AIDE) "Reconstituez les quatre familles de cartes dans l'ordre croissant (de l'as au roi) en utilisant les sept colonnes disponibles.
Dans chaque colonne vous pouvez empiler les cartes si elles se suivent et si elles sont de couleurs diffrentes (rouge/noir)."
set txt(Solitaire,SCORE_vegas) "Vegas"
set txt(Solitaire,SCORE_classique) "Classique"

set txt(ToursHanoi,NOM) "Tours de Hano"
set txt(ToursHanoi,AIDE) "Le but de ce jeu est de rempiler les cartes sur la colonne de droite en un minimum de coups, en respectant les rgles suivantes :
    * on ne peut dplacer qu'une carte  la fois,
    * on ne peut poser une carte que sur une autre de valeur plus grande, ou sur un emplacement vide.
Si n est le nombre de cartes, il faudra au-moins (2 exp. n)-1 dplacements pour y arriver."

set txt(Familles,NOM) "Familles"
set txt(Familles,AIDE) "Reconstituez les quatre familles de cartes dans l'ordre croissant ou dcroissant en faisant dfiler les cartes du paquet."
set txt(Familles,DDE_FIN_PARTIE) "Votre partie est-elle termine ?"
set txt(Familles,TITRE_DDE_FIN_PARTIE) "Fini ?"

set txt(Spider,NOM) "Spider"
set txt(Spider,AIDE) "Reconstituez les huit familles de cartes dans l'ordre croissant (de l'as au roi) en utilisant les colonnes disponibles.
Dans chaque colonne vous pouvez empiler les cartes si elles se suivent. Vous pouvez dplacer une pile de cartes si elles sont toutes de la mme famille."
set txt(Spider,TXT_FAMILLE) "famille"
set txt(Spider,TXT_FAMILLES) "familles"

set txt(EntreDeux,NOM) "Entre deux"
set txt(EntreDeux,AIDE) "Supprimez les cartes en cliquant sur celles qui sont situes entre deux cartes de mme valeur/famille (selon options).
Essayez de finir le jeu avec le moins de cartes restantes."
set txt(EntreDeux,TXT_FAMILLE) "Mme famille"
set txt(EntreDeux,TXT_VALEUR) "Mme valeur"
set txt(EntreDeux,TXT_VALEUR_FAMILLE) "Valeur ou Famille"

set txt(FreeCell,NOM) "FreeCell"
set txt(FreeCell,AIDE) "Reconstituez les quatre familles de cartes dans l'ordre croissant (de l'as au roi) en utilisant les cases libres.
Dans chaque colonne vous pouvez empiler les cartes si elles se suivent et si elles sont de couleurs diffrentes (rouge/noir)."
set txt(FreeCell,SCORE_vegas) "Vegas"
set txt(FreeCell,SCORE_classique) "Classique"


set txt(MNU_JEU) "_Jeu"
set txt(MNU_NOUV) "_Nouvelle partie"
set txt(MNU_SAUV) "_Sauver la partie en cours"
set txt(MNU_CHARGE) "_Charger une partie"
set txt(MNU_RECOMMENCE) "_Recommencer cette partie"
set txt(MNU_CHANGE) "Changer de _jeu"
set txt(MNU_ANNULE) "_Annuler"
set txt(MNU_SCORES) "_Meilleurs scores"
set txt(MNU_STATS) "S_tatistiques"
set txt(MNU_QUIT) "_Quitter"
set txt(MNU_OPTIONS) "_Options"
set txt(MNU_DOS) "_Dos des cartes"
set txt(MNU_DOS_DEGRADE) "_Dgrad"
set txt(MNU_DOS_DEGRADE_TYPE) "T_ype"
set txt(MNU_DOS_DEGRADE_N) "Nord-Sud"
set txt(MNU_DOS_DEGRADE_O) "Ouest-Est"
set txt(MNU_DOS_DEGRADE_NO) "NO-SE"
set txt(MNU_DOS_DEGRADE_NE) "NE-SO"
set txt(MNU_DOS_DEGRADE_COUL) "Couleur"
set txt(MNU_DOS_DEGRADE_TXT) "_Texte"
set txt(MNU_DOS_DEGRADE_TXTCOUL) "_CouleurTexte"
set txt(MNU_DOS_DEGRADE_BORD) "Bord blanc"
set txt(MNU_DOS_DEGRADE_ACTIF) "Activer"
set txt(MNU_COUL) "_Couleurs"
set txt(MNU_TAPIS) "_Tapis"
set txt(MNU_SCORES) "_Scores"
set txt(MNU_TXT_TAILLE) "Taille du _texte"
set txt(MNU_TXT_MOINS)  "_Diminuer"
set txt(MNU_TXT_PLUS)   "_Augmenter"
set txt(MNU_LANG) "_Langue"
set txt(MNU_DDE_SAUVE) "Aff. demande sauver partie"
set txt(MNU_CLAVIER) "Aff. auto. clavier (PDA)"
set txt(MNU_BLOQUE_TAPIS) "Bloquer tapis"
set txt(MNU_CUMUL_SCORES) "Scores cumulatifs"
set txt(MNU_REGLES) "_Rgles"
set txt(MNU_CARTES_VISIBLES) "Voir toutes les cartes"
set txt(MNU_AIDEJEU) "_Aide sur le jeux en cours"
set txt(MNU_AIDE) "_?"
set txt(MNU_LICENCE) "Voir la _licence"
set txt(MNU_APROPOS) "A _propos de"

set txt(MNU_FAMILLE_DISTRIB_2) "Distribuer 2 cartes"
set txt(MNU_FAMILLE_DISTRIB_3) "Distribuer 3 cartes"

set txt(MNU_SOLITAIRE_SCORES) "_Scores"
set txt(MNU_SOLITAIRE_SCORE_CLASS) "Classique"
set txt(MNU_SOLITAIRE_SCORE_VEGAS) "Vegas"
set txt(MNU_SOLITAIRE_DISTRIB) "_Distribuer"
set txt(MNU_SOLITAIRE_DISTRIB_1) "1 carte"
set txt(MNU_SOLITAIRE_DISTRIB_2) "2 cartes"
set txt(MNU_SOLITAIRE_DISTRIB_3) "3 cartes"

set txt(MNU_SPIDER_DIFF) "_Difficult"
set txt(MNU_SPIDER_DIFF1) "1 famille"
set txt(MNU_SPIDER_DIFF2) "2 familles"
set txt(MNU_SPIDER_DIFF3) "4 familles"

set txt(MNU_TOURHANOI_DIFF) "_Difficult"

set txt(MNU_MEMORYORDRE_DIFF) "_Difficult"

set txt(MNU_PYRAMIDE_HAUTEUR) "_Hauteur"
set txt(MNU_PYRAMIDE_DISTRIB) "_Distribuer"

set txt(MNU_ENTREDEUX_REGLE) "_Condition"
set txt(MNU_ENTREDEUX_DISTRIB) "_Distribuer"

set txt(MNU_MEMORY_NBCARTES) "_Nombre de cartes"
set txt(MNU_MEMORY_EFFACE) "Faire disparatre"

set txt(MNU_FREECELL_SCORES) "_Scores"
set txt(MNU_FREECELL_SCORE_CLASS) "Classique"
set txt(MNU_FREECELL_SCORE_VEGAS) "Vegas"



if {$PARAM(machine) == "PPC"} {
# 640X480 ou 320X240
#if {[winfo screenwidth .] < 400} {
#  set facteurZoom -2
#}
  wce siphide ;# "referme" le clavier, au cas o...
  utiliseLibrairie "he-dialog"
}

# Valeurs par dfaut :
set PARAM(hauteur) 640
set PARAM(largeur) 480
set PARAM(fichierMenu) [file join $REP_MENUS "Menu.txt"]
set PARAM(msgAccueil) "$PARAM(nomLongAppli)"
set PARAM(unite) "point(s)"
#set PARAM(taillePoliceBase) 5
set couleurs(FondFenetre) "#007400"
set couleurs(DemandesFond) "#ffffff"
set couleurs(Police) "#ffffff"
set polices(Titre) [font create -family Courier -size [expr {$PARAM(taillePoliceBase) + 8}] -weight bold]
set polices(Normale) [font create -family Courier -size $PARAM(taillePoliceBase) -weight bold]
set polices(DialogBox) [font create -family Courier -size $PARAM(taillePoliceBase)]

global couleurFond
set couleurFond $couleurs(FondFenetre)

global couleurScore
set couleurScore $couleurs(Police)

global dosCartes
set dosCartes "Classique - Bleu"

# Puis excution du fichier des paramtres, selon la machine :
source "initParamsInterface_$PARAM(machine)\.ini"
#source "initParamsInterface_PPC.ini"
initFenetre $PARAM(nomAppli) $PARAM(largeur) $PARAM(hauteur)
afficherFrmAttente "$PARAM(nomAppli) $PARAM(verAppli)" "..."
update

utiliseLibrairie "images"

global strMenuListeJeux
set strMenuListeJeux ""

proc genererMenuListeJeux {indent NB_MENU_MAX} {
  global PARAM
  global strMenuListeJeux
  global txt
  
  if {$strMenuListeJeux == ""} {
    set listeFic [lsort [listeFic "*.tcl" ""]]
    set chaine ""
    set chaineIndent ""
    for {set i 0} {$i < $indent} {incr i} {
      append chaineIndent " "
    }
    set chaine "" ;#(colorCourante=) Aucune <colorerSelon \"\"\>\n$chaineIndent\---"
    set ind 0
    foreach fichier $listeFic {
      set nomJeu [string range $fichier 0 end-4]
      if {$nomJeu != "" && ! [string match "*$PARAM(nomAppli)*" "$nomJeu"] && [string tolower "$nomJeu"] != "main"} {
        if {$ind == $NB_MENU_MAX} {
          append chaine "\n$chaineIndent\---"
          append chaine "\n$chaineIndent\Suite "
          append chaineIndent "  "
          set ind 0
        }
        if {$chaine != ""} {
          append chaine "\n$chaineIndent"
        }
        set lib "$txt($nomJeu\,NOM)"
        append chaine "(jeuCourant=$nomJeu) $lib <global jeuCourant;set jeuCourant \"$nomJeu\";nouvellePartie \"$nomJeu\"\>"
        incr ind
      }
    }
    set strMenuListeJeux $chaine
  }
  return $strMenuListeJeux
}

global strMenuListeDos
set strMenuListeDos ""

proc genererMenuListeDos {indent NB_MENU_MAX} {
  global PARAM
  global strMenuListeDos
  
  if {$strMenuListeDos == ""} {
    set listeFic [lsort [listeFic "carteDos*.png" "Img"]]
    set chaine ""
    set chaineIndent ""
    for {set i 0} {$i < $indent} {incr i} {
      append chaineIndent " "
    }
    set chaine "" ;#(colorCourante=) Aucune <colorerSelon \"\"\>\n$chaineIndent\---"
    set ind 0
    foreach fichier $listeFic {
      set nomDos [string range $fichier 8 end-4]
      if {$nomDos != ""} {
        if {$ind == $NB_MENU_MAX} {
          append chaine "\n$chaineIndent\---"
          append chaine "\n$chaineIndent\Suite "
          append chaineIndent "  "
          set ind 0
        }
        if {$chaine != ""} {
          append chaine "\n$chaineIndent"
        }
        append chaine "(dosCartes=$nomDos) $nomDos <global dosCartes;set dosCartes \"$nomDos\";majDosCartes>"
        incr ind
      }
    }
    set strMenuListeDos $chaine
  }
  return $strMenuListeDos
}

proc genererMenuReglesJeu {} {
  global jeuCourant
  global REP_MENUS
  global txt

  if {$jeuCourant != ""} {
    return [subst [lireFichier [file join $REP_MENUS "Menu_$jeuCourant\.txt"]]]
  } else {
    return "  $txt(MNU_REGLES)"
  }
}

proc genererListeLangues {indent NB_MENU_MAX} {
  set listeFic [lsort [listeFic "*.lang" "Lang"]]
  set chaine ""
  set chaineIndent ""
  for {set i 0} {$i < $indent} {incr i} {
    append chaineIndent " "
  }
  set ind 0
  foreach fichier $listeFic {
    set nom [string range $fichier 0 end-5]
    if {$nom != ""} {
      if {$ind == $NB_MENU_MAX} {
        append chaine "\n$chaineIndent\---"
        append chaine "\n$chaineIndent\Suite "
        append chaineIndent "  "
      }
      if {$chaine != ""} {
        append chaine "\n$chaineIndent"
      }
      append chaine "(langueAffichage=$nom) $nom <setLangueAffichage \"$nom\"\>"
      incr ind
    }
  }
  return $chaine
}

proc majLangueAffichage {} {
  global langueAffichage
  global PARAM
  global txt
global strMenuListeJeux
global LISTE_EXT_SAUV
#global tabImagesFic

catch {source [file join Lang "$langueAffichage\.lang"]}
catch {sauverHighScores}
catch {sauverStats}
catch {initScoresStats}
catch {majAfficheScore}
set LISTE_EXT_SAUV [list [list "$txt(TXT_SAVES)" {.sauv}]]
.frmMenuPrincipal.lblMessage configure -text $PARAM(msgAccueil)
update idletasks

set strMenuListeJeux "" ;# On efface l'ancienne liste
#initAfficheMenuPrincipal
  creerMenuChaine [subst [lireFichier "$PARAM(fichierMenu)"]]
  
  global paquet
  global nbCartes
  for {set i 1} {$i <= $nbCartes} {incr i} {
    if {$paquet($i,faceEnHaut)} {
      montrerCarte $i ;# on actualise les images des cartes
    }
  }
  update idletasks
#  catch {unset tabImagesFic}
}

### Menu de l'application
#majMsgAttente "Menu de l'application"
proc initAfficheMenuPrincipal {} {
  global couleurs
  global polices
  global PARAM
  global couleurFond
  global couleurScore
  global txt

#  logDebug "Cration du menu..."
  #logInfo [subst [lireFichier "Menu.txt"]]
  creerMenuChaine [subst [lireFichier "$PARAM(fichierMenu)"]]
#  logDebug "Menu cr !"
  
  destroy .frmMenuPrincipal
  frame .frmMenuPrincipal -background $couleurs(FondFenetre)
  ajouterLigneVideHaut frmMenuPrincipal $couleurs(FondFenetre)
  ajouterLigneVideBas frmMenuPrincipal $couleurs(FondFenetre)
  ajouterLabel frmMenuPrincipal lblMessage $PARAM(msgAccueil) $polices(Titre) $couleurs(FondFenetre) $couleurs(Police) ""
}


global nbColonnes
set nbColonnes 0

proc changerCouleurFond {nouvCoul} {
  global couleurFond
  global nbColonnes
  global couleurs

  if {$nouvCoul != ""} {
    .frmJeu.cnv configure -background $nouvCoul -borderwidth 0 ;#-relief flat ;#-bordercolor $nouvCoul
    .frmJeu.lblScore configure -background $nouvCoul
    .frmJeu configure -background $nouvCoul

    for {set i 1} {$i <= $nbColonnes} {incr i} {
      .frmJeu.cnv itemconfigure "col$i" -fill $nouvCoul
    }
    # on en profite pour calculer les "dpts" :
    set w .frmJeu.cnv
    foreach id [$w find all] {
      set tags [$w gettags $id]
      if {[string match "depot*" $tags]} {
        .frmJeu.cnv itemconfigure $tags -fill $nouvCoul
      }
    }
  
    .frmJeu.cnv itemconfigure "paquet" -fill $nouvCoul

    update idletasks
    set couleurFond $nouvCoul
    set couleurs(FondFenetre) $couleurFond
    set couleurs(ScoresFondFenetre) $couleurs(FondFenetre)
    set couleurs(ScoresFondLibelle) $couleurs(ScoresFondFenetre)
    set couleurs(ScoresFondBouttons) $couleurs(ScoresFondFenetre)
    set couleurs(StatsFondFenetre) $couleurs(ScoresFondFenetre)
    set couleurs(StatsFondLibelle) $couleurs(StatsFondFenetre)
    set couleurs(StatsFondBouttons) $couleurs(StatsFondFenetre)
  }
}

proc changerCouleurScore {nouvCoul} {
  global couleurScore
  global couleurs

  if {$nouvCoul != ""} {
    .frmJeu.lblScore configure -foreground $nouvCoul
    update idletasks
    set couleurScore $nouvCoul
    set couleurs(Police) $couleurScore
    set couleurs(ScoresPoliceTitre) $couleurs(Police)
    set couleurs(ScoresPoliceLibelle) $couleurs(ScoresPoliceTitre)
    set couleurs(ScoresPoliceBouttons) $couleurs(ScoresPoliceTitre)
    set couleurs(StatsPoliceTitre) $couleurs(Police)
    set couleurs(StatsPoliceLibelle) $couleurs(StatsPoliceTitre)
    set couleurs(StatsPoliceBouttons) $couleurs(StatsPoliceTitre)
  }
}

proc getImageCarte {nomFic} {
#  set imgNorm [image create photo -format png -file "$nomFic"]
#  return [zoomerImage $imgNorm]
  return [getImageFichier $nomFic]
}

#proc zoomerImage {nomImage} {
#  global facteurZoom
#  global errorInfo
#
#  set msgErr ""
#  set errorInfo ""
#  set imgTmp $nomImage
#  if {$facteurZoom > 1} {
#    # zoom :
#    set imgTmp [image create photo]
#    catch {$imgTmp copy $nomImage -zoom $facteurZoom $facteurZoom}
#    set msgErr "$errorInfo"
#    if {$msgErr == ""} {
#      image delete $nomImage
#    }
#  }
#  if {$facteurZoom < -1} {
#    # miniature :
#    set imgTmp [image create photo]
#    catch {$imgTmp copy $nomImage -subsample [expr {0 - $facteurZoom}] [expr {0 - $facteurZoom}]}
#    set msgErr "$errorInfo"
#    if {$msgErr == ""} {
#      image delete $nomImage
#    }
#  }
#  if {$msgErr != ""} {
#    return $nomImage
#  } else {
#    return $imgTmp
#  }
#}

proc activerDosDegrade {} {
  global dosCartes
  set dosCartes ""
  majDosCartes
}

global dosChargeLast
set dosChargeLast ""
proc majDosCartes {} {
  global dosCartes
  global dosDegrade
  global typeDosDegrade
  global bordDegrade
  global nbCartes
  global paquet
  global dosChargeLast
  global txt

  if {"$dosCartes" != "$dosChargeLast" || "$dosCartes" == ""} {
    set ancImage ""
    catch {set ancImage $paquet(imgDos)}
    if {"$dosCartes" != ""} {
      set dosChargeLast $dosCartes
      set paquet(imgDos) [getImageCarte [file join "Img" "carteDos$dosCartes\.png"]]
    } else {
      # gnration du degrade :
#msgBox "degrade"
      set HAUTEUR 65
      set LARGEUR 50
      set img [getImageDegrade $dosDegrade(couleur1) $dosDegrade(couleur2) $typeDosDegrade $LARGEUR $HAUTEUR $dosDegrade(texte) 10 $dosDegrade(couleurTexte)]
      if {$img != ""} {
        set dosChargeLast $dosCartes
        #set nouvImg [ajouterContourImage $img "#000000" 1]
        #image delete $img
        if {$bordDegrade} {
          set nouvImg [ajouterContourImage $img "#ffffff" 2]
          image delete $img
          set img $nouvImg
        }
        # On rajoute maintenant la transparence aux coins :
        set pix [pixcopy $img]
        pixane compose $pix replace
        pixane color $pix "#00000000" ;# Couleur transparente
        pixane plot $pix 0 0  1 0  2 0  3 0     46 0  47 0  48 0  49 0
        pixane plot $pix 0 1  1 1                           48 1  49 1
        pixane plot $pix 0 2                                      49 2
        pixane plot $pix 0 3                                      49 3
        pixane plot $pix 0 61                                     49 61
        pixane plot $pix 0 62                                     49 62
        pixane plot $pix 0 63 1 63                          48 63 49 63
        pixane plot $pix 0 64 1 64 2 64 3 64    46 64 47 64 48 64 49 64
        if {$bordDegrade} {
          pixane color $pix "#ffffff"
          pixane plot $pix 2 2  3 2  4 2  5 2     44 2  45 2  46 2  47 2
          pixane plot $pix 2 3  3 3                           46 3  47 3
          pixane plot $pix 2 4                                      47 4
          pixane plot $pix 2 5                                      47 5
          pixane plot $pix 2 59                                     47 59
          pixane plot $pix 2 60                                     47 60
          pixane plot $pix 2 61 3 61                          46 61 47 61
          pixane plot $pix 2 62 3 62 4 62 5 62    44 62 45 62 46 62 47 62
        }
        set nouvImg [pixcopy $pix]
        image delete $img
        set img $nouvImg
        set paquet(imgDos) [zoomerImage $img]
      } else {
        # ERREUR (pixane n'est pas dispo ?)
        msgBox "$txt(MSG_PAS_PIXANE)" "$txt(TITRE_ERR)" "ok" "error"
        set dosCartes $dosChargeLast
        majDosCartes
        return
      }
    }

    if {"$ancImage" != ""} {
      for {set i 1} {$i <= $nbCartes} {incr i} {
        if {! $paquet($i,faceEnHaut)} {
          changerImage $i $paquet(imgDos)
        }
      }
      if {$ancImage != $paquet(imgDos)} {
        catch {image delete $ancImage}
      }
    }
  }
}


proc changerCouleurTapis {} {
  global couleurFond
  changerCouleurFond [choisirCouleur $couleurFond]
}

proc changerCouleurScores {} {
  global couleurScore
  changerCouleurScore [choisirCouleur $couleurScore]
}

proc changerDegrade {infoAChanger} {
  global dosDegrade
  global txt

  if {$infoAChanger == "texte"} {
    set dosDegrade(texte) [inputBox [list "$txt(TXT_DEGRA_TXT): "] "$txt(TITRE_DEGRA_TXT)" [list "$dosDegrade(texte)"]]
    majDosCartes
  } else {
    set nouvCouleur [choisirCouleur $dosDegrade($infoAChanger)]
    if {$nouvCouleur != ""} {
      set dosDegrade($infoAChanger) $nouvCouleur
      majDosCartes
    }
  }
}

proc changerTypeDegrade {nouvType} {
  global typeDosDegrade

    set typeDosDegrade $nouvType
    majDosCartes
}


global titreStats
set titreStats ""

proc afficherStatsJeuCourant {} {
  global jeuCourant
  global titreStats
  global txt

  if {$jeuCourant != ""} {
    if {$titreStats == ""} {
      set titreStats "$txt($jeuCourant\,NOM)"
    }
    afficherStats "$titreStats"
  } else {
    msgBox "$txt(MSG_AUCUN_JEU)"
  }
}

global titreScores
set titreScores ""

proc afficherScoresJeuCourant {} {
  global jeuCourant
  global titreScores
  global txt

  if {$jeuCourant != ""} {
    if {$titreScores == ""} {
      set titreScores "$txt($jeuCourant\,NOM)"
    }
    afficherHighScores "$titreScores"
  } else {
    msgBox "$txt(MSG_AUCUN_JEU)"
  }
}


proc expliqueFixeTapis {} {
  global fixeTapis
  global txt

  if {! $fixeTapis} {
    msgBox "$txt(MSG_DEBLOQUE_TAPIS)" "$txt(TITRE_DEBLOQUE_TAPIS)"
  }
}

global scrollTmp
set scrollTmp 0
global fixeTapis
set fixeTapis true
proc scrollY {py} {
  global idDraggedObject
  global diffx
  global diffy
  global currx
  global curry
  global bloque
  global scrollTmp
global indCarteDragguee
global fixeTapis

  if {(! $fixeTapis) && $idDraggedObject == ".frmJeu.cnv" && ! $bloque && $indCarteDragguee < 0} {
    set bloque true
    if {$curry == 0} {
      set scrollTmp 0
      set dy 0
    } else {
      set dy [expr {$curry - $py}]
    }
    set curry $py
    if {($dy > 0 && $scrollTmp < 0) || ($scrollTmp > 0 && $dy < 0)} {
      set scrollTmp 0
    }
    incr scrollTmp $dy
    set incr [$idDraggedObject cget -yscrollincrement]
    if {$scrollTmp >= $incr} {
      eval [list .frmJeu.cnv yview] "scroll 1 units"
      set scrollTmp [expr {$scrollTmp - $incr}]
    } else {
      set incr [expr {0-$incr}]
      if {$scrollTmp <= $incr} {
        eval [list .frmJeu.cnv yview] "scroll -1 units"
        set scrollTmp [expr {$scrollTmp - $incr}]
      }
    }
    update idletasks
#pause 1000
    set bloque false
  } else {
    if {$idDraggedObject == ".frmJeu.cnv"} {
      set idDraggedObject ""
    }
  }

}

proc initAffichage {} {
refermerClavier
  creerFrmJeu
#  afficherFrame frmJeu
  update
}
proc creerFrmJeu {} {
  global couleurFond
  global couleurs
  global polices
  global couleurScore
  global txt

  destroy .frmJeu
  frame .frmJeu -background "#ffffff" ;#$couleurs(FondFenetre)
  ajouterLabel frmJeu lblScore "$txt(TXT_SCORE)" $polices(Normale) $couleurFond $couleurs(Police) bottom
  #.frmJeu.lblScore configure -textalign right
  .frmJeu.lblScore configure -foreground $couleurScore
  pack configure .frmJeu.lblScore -fill x
  canvas .frmJeu.cnv -background $couleurFond -relief groove -borderwidth 0 -yscrollincrement 10 ;# -yscrollcommand ".frmJeu.scrY set"

#scrollbar .frmJeu.scrY -com {scrollY} -width 25 
#pack .frmJeu.scrY -side right ;# -fill y
##pack .frmEdit.txtContenu -side left -fill both -ipadx 250 ;# -padx 2 -pady 2

# Ajout de la gestion du DragAndDrop sur un widget (place) :
 gestionDragDropPlace .frmJeu.cnv
 bind .frmJeu.cnv <Motion> {scrollY %y}


        pack .frmJeu.cnv -side top -fill both -ipady 250
}
#initAffichage
creerFrmJeu

proc coordX {pourc} {
  global PARAM
  return [expr {int(((0.0 + $pourc) * $PARAM(largeur)) / 100)}]
}

proc coordY {pourc} {
  global PARAM
  return [expr {int(((0.0 + $pourc) * $PARAM(hauteur)) / 100)}]
}

proc pourcCoordX {x} {
  global PARAM
  return [expr {round(((0.0 + $x) * 100.0) / (0.0 + $PARAM(largeur)))}]
}

proc pourcCoordY {y} {
  global PARAM
  return [expr {round(((0.0 + $y) * 100.0) / (0.0 + $PARAM(hauteur)))}]
}

global paquet
set paquet(imgDos) [getImageCarte [file join "Img" "carteDosClassique - Bleu.png"]]

global largImages
set largImages [pourcCoordX [image width $paquet(imgDos)]]

global hautImages
set hautImages [pourcCoordY [image height $paquet(imgDos)]]


proc attraperCarte {indCarte x y} {
}

proc lacherCarte {} {
}

proc enleverDerniereCarteCol {indColonne} {
  global colonnes
  set colonnes($indColonne,listeCartes) [lreplace $colonnes($indColonne,listeCartes) end end]
}

proc deplacerCarte {indCarte x y {avecAnimation false}} {
  global imgCartes
  global diffX
  global diffY

  if {$indCarte > -1} {
    .frmJeu.cnv coords $imgCartes($indCarte) [list [expr {$x - $diffX}] [expr {$y - $diffY}]]
    .frmJeu.cnv raise Carte$indCarte
    if {$avecAnimation} {
      update idletasks
    }
  }
}

proc retournerCarte {indCarte} {
  global paquet

  set paquet($indCarte,faceEnHaut) [expr {! $paquet($indCarte,faceEnHaut)}]
  montrerCarte $indCarte $paquet($indCarte,faceEnHaut)
}


global imageCarte
set imageCarte(valeur) image

proc nomFicImgCarte {valCarte} {
  global langueAffichage

  # traduction des cartes en EN si pas FR :
  if {"$langueAffichage" != "FR"} {
    set val [string range "$valCarte" 0 {end-1}]
    set fam [string range "$valCarte" end end]
    if {"$val" == "V"} {
      set val "J"
    }
    if {"$val" == "D"} {
      set val "Q"
    }
    if {"$val" == "R"} {
      set val "K"
    }
    set valCarte "$val$fam"
  }
  return [file join "Img" "carte$valCarte\.png"]
}

proc changerImage {indCarte image} {
  global imgCartes
  .frmJeu.cnv itemconfigure Carte$indCarte -image $image
#update idletasks
}

# On distribue la carte indCarte sur la colonne indColonne
proc distribuerCarteSurColonne {indCarte indColonne {scoreGagne 0} {avecAnimation false}} {
  global colonnes
  global paquet

  deplacerCarteSurColonne $indCarte $indColonne [llength $colonnes($indColonne,listeCartes)] $avecAnimation
  lappend colonnes($indColonne,listeCartes) $indCarte
  set paquet($indCarte,distribuee) true
  gagner $scoreGagne
}

proc placerCarte {indCarte xPourc yPourc faceEnBas} {
  global imgCartes
  global paquet

  set x [coordX $xPourc]
  set imgCartes($indCarte) [.frmJeu.cnv create image [coordX $xPourc] [coordY $yPourc] -image $paquet(imgDos) -anchor nw -tag Carte$indCarte]
  bindingsCarte $indCarte
  .frmJeu.cnv raise Carte$indCarte

  if {($faceEnBas && $paquet($indCarte,faceEnHaut)) \
  || (!$faceEnBas && !$paquet($indCarte,faceEnHaut))} {
    retournerCarte $indCarte
  }
}

proc tracerRectangleCarte {nom x y} {
  global hautImages
  global largImages
  global couleurFond
global paquet

#  .frmJeu.cnv create rect [expr {$x - 1}] [expr {$y - 1}] [expr {$x + [coordX $largImages] + 2}] [expr {$y + [coordY $hautImages] + 2}] -tag $nom -fill $couleurFond
set ok false
catch {
  set taille [image width $paquet(imgDos)]
  set ok true
}
if {! $ok} {
  majDosCartes
}
.frmJeu.cnv create rect [expr {$x - 1}] [expr {$y - 1}] [expr {$x + [image width $paquet(imgDos)]}] [expr {$y + [image height $paquet(imgDos)]}] -tag $nom -fill $couleurFond
}

proc distribuerCartes {} {
}

proc majAfficheScore {} {
  majScore .frmJeu.lblScore
}

proc majScore {idWidget} {
  global joueurs
  global txt
  $idWidget configure -text "$txt(TXT_SCORE): $joueurs(1,score)"
}

proc majAfficheJeu {} {
}
